<?php get_header(); ?>
<div id="container">
	<div class="main<?php if ( is_active_sidebar( 'home-sidebar-small' ) ) : ?> small-sidebar<?php endif; ?>">

<?php if ( is_active_sidebar( 'home-sidebar-small' ) ) : ?>
<div class="sidebar-small">
<?php dynamic_sidebar( 'home-sidebar-small' ); ?>
</div><!-- Sidebar Small -->
<?php endif; ?>

		<div class="content">
			<div class="warp">
			<?php if(bdayh_get_option('article_crumbs') == 1) { ?>
				<div class="pp-breadcrumbs bottom10">
					<?php bd_breadcrumbs() ?>
				</div><!-- breadcrumbs /-->
				<hr class="bottom15">
			<?php } ?>

			<?php if ( have_posts() ) the_post(); ?>
			<h1 class="entry-title bottom25">
			<?php _e( 'Not Found', 'bd' ); ?>
			</h1>
			<p><?php _e( 'Apologies, but the page you requested could not be found. Perhaps searching will help.', 'bd' ); ?></p>
			<div class="bottom15 clear"></div>
			<?php get_search_form(); ?>
			<div class="bottom15 clear"></div>
			<hr class="bottom15 clear"></hr>
			<ul class="sitemap_content">
						<li>
						  <h3 class="sitemap_title">
							<?php _e('Pages','bd'); ?>
						  </h3>
						  <ul id="sitemap_pages">
							<?php wp_list_pages('title_li='); ?>
						  </ul>
						</li><!--//sitemap pages-->

						<li>
						  <h3 class="sitemap_title">
							<?php _e('Categories','bd'); ?>
						  </h3>
						  <ul id="sitemap_categories">
							<?php wp_list_categories('title_li='); ?>
						  </ul>
						</li><!--//sitemap categories-->

						<li>
						  <h3 class="sitemap_title">
							<?php _e('Tags','bd'); ?>
						  </h3>
						  <ul id="sitemap_categories">
							<?php $tags = get_tags();
							  if ($tags)
								{
									foreach ($tags as $tag)
									{
									  echo '<li><a href="' . get_tag_link( $tag->term_id ) . '">' . $tag->name . '</a></li> ';
									}
								}
							?>
						  </ul>
						</li><!--//sitemap tags-->

						<li class="end_row">
						  <h3 class="sitemap_title">
							<?php _e('Authors','bd'); ?>
						  </h3>
						  <ul id="sitemap_authors" >
							<?php wp_list_authors('optioncount=1&exclude_admin=0'); ?>
						  </ul>
						</li><!--//sitemap tags-->

					  </ul>

			</div>
		</div>
		<!-- content -->
	</div>
</div>
<!-- container -->

<div id="sidebar">
<?php get_sidebar(); ?>
</div>
<!-- sidebar -->
<?php get_footer(); ?>