<?php

	//Disable error reporting
	error_reporting(0);

	$themename = "Official";
	$shortname = "official";
	$themefolder = "official";

	define ('theme_name', $themename );
	define ('theme_ver' , 1 );
	define ('official' , $themename );
	define('SHORTNAME', $shortname);


	function wp_register_theme_activation_hook($code, $function) {
	    $optionKey="theme_is_activated_" . $code;
	    if(!get_option($optionKey))
	    {
	        call_user_func($function);
	        update_option($optionKey , 1);
	    }
	}


	wp_register_theme_activation_hook($shortname, 'bdayh_theme_activate');

	function bdayh_theme_activate()
	{
       update_option('bdayh_setting', serialize($GLOBALS['def_options']));
       return(true);
	}

		function mytheme_admin_bar_render()
		{
			global $wp_admin_bar;
			$wp_admin_bar->add_menu( array(
				'parent' => 0,
				'id' => 'bdayh',
				'title' => 'official',
				'href' => admin_url( 'admin.php?page=options.php'),
				'meta' => false
			));
		}
		add_action( 'wp_before_admin_bar_render', 'mytheme_admin_bar_render' );

		/* Theme Name
		----------------------------------------------*/

		function official_admin_register()
		{

			wp_register_script( 'official-checkbox', BD_FW . 'assets/js/checkbox.min.js', array( 'jquery' ) , true , true );
			wp_register_script( 'official-colorpicker', BD_FW . 'assets/js/colorpicker.js', array( 'jquery' ) , true , true );
			wp_register_script( 'official-custom', BD_FW . 'assets/js/custom.js', array( 'jquery' ) , true , true );
			wp_register_script( 'official-scripts', BD_FW . 'assets/js/scripts.js', array( 'jquery' ) , true , true );
			wp_register_style( 'official-style', BD_FW .'assets/css/custome.css', '', null , 'all' );
			wp_register_style( 'official-colorpicker', BD_FW .'css/colorpicker.css', '', null , 'all' );
			wp_register_style( 'official-jqueryui', BD_FW .'assets/css/jquery-ui.css', '', null , 'all' );
			wp_enqueue_script('jquery');
			wp_enqueue_style( 'official-jqueryui' );
			wp_enqueue_style( 'official-colorpicker' );
			wp_enqueue_style( 'official-style' );
			wp_enqueue_script('official-checkbox');
			wp_enqueue_script('official-colorpicker');
			wp_enqueue_script('official-custom');
			wp_enqueue_script('official-scripts');

		}
		add_action( 'admin_enqueue_scripts', 'official_admin_register' );

		/* Theme Script
		----------------------------------------------*/

if ( isset( $_GET['page'] ) && $_GET['page'] == 'options.php' ) {
	function enqueue_pointer_script_style( $hook_suffix ) {
		$enqueue_pointer_script_style = false;
		$dismissed_pointers = explode( ',', get_user_meta( get_current_user_id(), 'dismissed_wp_pointers', true ) );

		if( !in_array( 'rate_theme1', $dismissed_pointers ) ) {
			$enqueue_pointer_script_style = true;
			add_action( 'admin_print_footer_scripts', 'pointer_print_scripts' );
		}
		if( $enqueue_pointer_script_style ) {
			wp_enqueue_style( 'wp-pointer' );
			wp_enqueue_script( 'wp-pointer' );
		}
	}
	add_action( 'admin_enqueue_scripts', 'enqueue_pointer_script_style' );

	function pointer_print_scripts() {
		$pointer_content  = "<h3>Did you like ".theme_name." ?</h3>";
		$pointer_content .= "<p> If you like ".theme_name." theme, please don\'t forget to <a href=\'http://themeforest.net/downloads\' target=\'_blank\'><strong>rate it</strong></a> :)</p>";
	?>

		<script type="text/javascript">
		//<![CDATA[
		jQuery(document).ready( function($) {
			jQuery('.bd_panel .logo').pointer({
				content:		'<?php echo $pointer_content; ?>',
				position:		{
									edge:	'left', // arrow direction
									align:	'bottom' // vertical alignment
								},
				pointerWidth:	350,
				close:			function() {
									jQuery.post( ajaxurl, {
											pointer: 'rate_theme1', // pointer ID
											action: 'dismiss-wp-pointer'
									});
								}
			}).pointer('open');
		});
		//]]>
		</script>
	<?php
	}
}

		$categories = get_categories('hide_empty=0&orderby=name');
		$wp_cats = array();

		foreach ($categories as $category_list )
		{
		  $wp_cats[$category_list->cat_ID] = $category_list->cat_name;
		}

		require_once("setting.php");

		function themename_add_admin()
		{

			global $themename, $shortname, $bd_options;

			if ( isset($_GET['page']) and $_GET['page'] == basename(__FILE__) )
				{

					if (isset($_GET['do']) and $_GET['do'] == 'submit' and $_POST)
					{

						if($_POST['bd_setting']['advanced_import'])
						{
				   			$import = base64_decode($_POST['bd_setting']['advanced_import']);
				   			update_option('bdayh_setting', $import);
							echo '#message_success';
							die;
						}

						 $var_post = $_POST;
						 $var_post['bd_setting']['advanced_import'] = '';
						 $var_post['bd_setting']['advanced_export'] = '';

						 foreach($var_post['bd_setting'] as $k => $v)
						 {
							if(is_array($v))
							{
                               foreach($v as $lk => $lv)
                               {
									$var_post[$k][$lk] = esc_sql($lv);
                               }
							}
							else
							{
       							$var_post[$k] = esc_sql($v);
							}
						 }

				         $option_arr = serialize($var_post);

				         update_option('bdayh_setting', $option_arr);

						echo '#message_success';
						die;
					}
					else if(isset($_GET['do']) and  $_GET['do'] == 'download')
					{
				       $bd_option = base64_encode(get_option('bdayh_setting'));
						header("Content-Type: application/xml");
						header("Content-Transfer-Encoding: binary");
						header("Cache-Control: private",false);
						header("Content-Disposition: attachment; filename=\"official-" . time()  . ".txt\";" );
				       echo $bd_option;
				       exit();
					}
					else if(isset($_GET['do']) and  $_GET['do'] == 'reset')
					{

				        //$data = base64_decode(file_get_contents(BD_DIR.'/admin/reset.bdayh'));
				  		update_option('bdayh_setting', serialize($GLOBALS['def_options']));
						header("Location: admin.php?page=options.php");
						die;
					}
				}

				add_menu_page( $themename.' Settings', $themename, 'switch_themes', 'options.php', 'themename_admin', BD_FW_IMG .'/icon.png'/*, 61*/ );
		}


		function bd_get_settings($id)
		{
			global $themename, $shortname, $bd_options,$all_setting;
		    if(get_settings($GLOBALS['shortname'].'_'.$id))
		    {
			    return(get_settings($GLOBALS['shortname'].'_'.$id));
		    }
		    else
		    {
			    return($all_setting[$GLOBALS['shortname'].'_'.$id]);
		    }
		}



		function themename_admin()
		{
				global $themename, $shortname, $bd_options,$wp_cats;
				$i=0;

				echo '<div id="message_success" style="display:none;" class="notification fade"><span class="notification_icon"></span> Options Saved Successfully ! </div>';
				echo '<div id="message_error" style="display:none;" class="notification bd_alert fade"><span class="notification_icon"></span> Resetting work ! </div>';

				$bd_option = unserialize(get_option('bdayh_setting'));
				require_once ("layout_functions.php");

				?>

				<!--[if lt IE 9]>
				<script type='text/javascript' src='<?php echo BD_FW; ?>assets/js/selectivizr-min.js'></script>
				<script type='text/javascript' src='<?php echo BD_FW; ?>assets/js/html5.js'></script>
				<![endif]-->
				<link rel='stylesheet' href='<?php echo BD_FW; ?>assets/bd_style.css' type='text/css' media='all' />
				<script type='text/javascript' src="<?php echo BD_FW; ?>assets/js/jquery-ui.js"></script>
				<script type='text/javascript' src="<?php echo BD_FW; ?>assets/js/jquery.tmpl.js"></script>
				<script type="text/javascript">
					<?php if(isset($bd_option['bd_setting']['home']))
						{
						?>
							var total_boxes = <?php if(is_array($bd_option['bd_setting']['home'])){echo max(array_keys($bd_option['bd_setting']['home'])) + 1;}else{echo 1;}?>;
						<?php
						}
						else
						{
						?>
					 		var total_boxes = 1;
						<?php
						}
					?>

					jQuery(document).ready(function() {
					jQuery('#setting_form').submit(function()
					{
						var str = jQuery("form").serialize();
						jQuery.ajax({
						  url: 'admin.php?page=options.php&do=submit',
						  data: str,
						  type: 'POST',
						  success: function(data){
						    if(data == '#message_success')
						    {
					           jQuery('#message_success').show().delay(250).fadeIn(600).fadeOut(600,'easeInOutBack');
						    }
						    else
						    {
								jQuery('#message_error').show().delay(250).fadeIn(600).fadeOut(600,'easeInOutBack');
						    }
						  }
						});

					  return false;
					});
					});

				</script>
				<script type='text/javascript' src="<?php echo BD_FW; ?>assets/js/bd.js"></script>
				<script type="text/javascript">
				jQuery(document).ready(function() {

     				jQuery('.bd_panel :checkbox, .bd_items_panel :checkbox, .check_radio_content :radio  , .rwmb-input :checkbox').checkbox({empty:'<?php echo get_template_directory_uri(); ?>/admin/assets/images/empty.png'});

				    jQuery('.st_upload_button').click(function() {
				         targetfield = jQuery(this).prev('.upload-url');
				         tb_show('', 'media-upload.php?type=image&amp;TB_iframe=true');
				         return false;
				    });

					jQuery(".st_upload_button").live("click", function(){
				         targetfield = jQuery(this).prev('.upload-url');
				         tb_show('', 'media-upload.php?type=image&amp;TB_iframe=true');
				         return false;
					});

				    jQuery(".remove_img").live("click", function()
				    {
				         var img_id = jQuery(this).attr('id').replace("_remove", "");
				         jQuery('#'+img_id).val('');
				         jQuery('#'+img_id+'_img').fadeOut();
				         return false;
				    });

				    window.send_to_editor = function(html) {
				         imgurl = jQuery('img',html).attr('src');
				         jQuery(targetfield).val(imgurl);
				         var up_img = jQuery(targetfield).attr('id')+ '_img';
				         jQuery('#'+up_img).children('img').attr('src',imgurl);
				         jQuery('#'+up_img).show();
				         tb_remove();
				    }

				});

				    function add_tag(input_id,tag)
				    {
						var input_id;
						var tag;

						if(tag != '')
						{
							var input_val = jQuery('#'+input_id).val();
							if(input_val == '')
							{
								jQuery('#'+input_id).val(tag);
							}
							else
							{
								jQuery('#'+input_id).val(input_val+','+tag);
						}
						}
						}
				</script>
				<form name="" id="setting_form" action="admin.php?page=options.php&do=submit"  method="post">
				  <div class="bd_panel ">
				  <div class="bd_header">
				    <div class="bd_logo">
				      <div class=" logo"></div>
				    </div>
				    <input name="save" class="bd_save"  type="submit" value="Save Changes">
				  </div>
				  <div class="bd_panel_tabs">
				    <ul>

				      <?php if(is_array($bd_options))
				      {
				      	 	foreach($bd_options as $k => $v)
					      {
					      ?>
						      <li class="<?php echo $k; ?>">
						        <a href="#<?php echo $k; ?>" >
						        	<?php echo ucfirst(str_replace("_"," ",$k)); ?>
						        </a>
						      </li>
					      <?php
					      }
				      }
				      ?>
				      <li class="styling_settings">
				        <a href="#stylingsettings_static" >
				        <?php echo ucfirst('Custom Background'); ?>

				        </a>
				      </li>
				      <li class="typography">
				        <a href="#typography_static" >
				        <?php echo ucfirst('typography'); ?>

				        </a>
				      </li>
				    </ul>
				  </div>
				  <div class="bd_panel_tabs_bg"></div>
				  <div class="bd_panel_content">

				  <?php if(is_array($bd_options))
				      {
				      	$list_sum = array();
				      	foreach($bd_options as $k => $v)
				      	{
				      		$sub_item = 0;
				        	?>
				  <div  class="box_tabs_container" id="<?php echo $k;?>">
				    <h1>
				      <?php echo ucfirst(str_replace("_"," ",$k)); ?>
				    </h1>
				    <div class="tab_content">
				      <?php if(is_array($v))
						      	{
				                   foreach($v as $key => $input)
				                   {
				                      if(isset($input['name']) and $input['name'] != '')
				                      {
				                      	get_admin_tab($input);
				                      }
									  else
				                      {
				                      		?>
				      <div class="bd_item" id="home_page">
				        <h3 class="hndle">
				          <?php echo ucfirst(str_replace("_"," ",$key)); ?>
				        </h3>
				        <?php foreach($input as $sub)
				                      		{
				                    			get_admin_tab($sub,false);
				                    		}
				                    		?>
				      </div>
				      <?php }
				                   }
						      	}
						      	?>
				    </div>
				    <?php unset($sub_item);
				    	?>
				  </div>
				  <?php }


				      }
				    ?>

					<div id="typography_static" class="box_tabs_container">
					  <h1>
					    <?php _e('Typography','bd') ?>
					  </h1>
					  <div class="tab_content">
					    <h4 class="titlebuilder">Main Typography</h4>
					    <div class="pp-typo-box">
      					<?php $typography_static =
							array
							(
								"name" 		=> "Typography",
								"id"    	=> "typography_general",
								"type"  	=> "typography",
								"label"		=> "General Typography  &raquo;"
							);

				          get_admin_tab($typography_static);
						?>
					    </div>
					    <h4 class="titlebuilder">Post Headings</h4>
					    <div class="pp-typo-box">
      					<?php $typography_static =
							array
							(
								"name" 		=> "Typography",
								"id"    	=> "h1_typography",
								"type"  	=> "typography",
								"label"		=> "H1 Typography &raquo;"
							);

				          get_admin_tab($typography_static);
						?>
      					<?php $typography_static =
							array
							(
								"name" 		=> "Typography",
								"id"    	=> "h2_typography",
								"type"  	=> "typography",
								"label"		=> "H2 Typography &raquo;"
							);

				          get_admin_tab($typography_static);
						?>
      					<?php $typography_static =
							array
							(
								"name" 		=> "Typography",
								"id"    	=> "h3_typography",
								"type"  	=> "typography",
								"label"		=> "H3 Typography &raquo;"
							);

				          get_admin_tab($typography_static);
						?>
     					<?php $typography_static =
							array
							(
								"name" 		=> "Typography",
								"id"    	=> "h4_typography",
								"type"  	=> "typography",
								"label"		=> "H4 Typography &raquo;"
							);

				          get_admin_tab($typography_static);
						?>
      					<?php $typography_static =
							array
							(
								"name" 		=> "Typography",
								"id"    	=> "h5_typography",
								"type"  	=> "typography",
								"label"		=> "H5 Typography &raquo;"
							);

				          get_admin_tab($typography_static);
						?>
      					<?php $typography_static =
							array
							(
								"name" 		=> "Typography",
								"id"    	=> "h6_typography",
								"type"  	=> "typography",
								"label"		=> "H6 Typography &raquo;"
							);

				          get_admin_tab($typography_static);
						?>
					    </div>
					  </div>
					</div>


				  <div id="stylingsettings_static" class="box_tabs_container">
				    <h1><?php _e('Custom Background','bd') ?></h1>
				    <div class="tab_content">

                           		<h4 class="titlebuilder">Background Type</h4>
								<?php $custom_background = array
						          (

										"name" 		=> "Background Type",
										"id"    	=> "background_type",
										"type"  	=> "radio_bgtype",
										"options"	=> array( "pattern"=>"Pattern" ,
													"custom"=>"Custom Background" )
										//"list"		=> array( "pattern","custom" ),
						          );
						          get_admin_tab($custom_background);
					          	?>

								<br /><br />

                           <div class="bd_item get_background_type_custom" id="get_background_type_pattern">
								<h3 class="hndle">Custom Background</h3>

					           <?php $custom_background = array
						          (
										"name" 		=> __('Custom Background' , 'bd'),
										"label" 	=> __('Custom Background' , 'bd'),
										"tip"		=> __('Custom Background' , 'bd'),
										"id"    	=> "custom_background",
										"type"  	=> "uploadbg"
						          );
						          get_admin_tab($custom_background);
					          ?>
					           <?php $custom_background = array
						          (

										"name" 		=> "Custom Background",
										"id"    	=> "background",
										"type"  	=> "background_bd"
						          );
						          get_admin_tab($custom_background);
					          ?>
                          </div>

				      <div class="bd_item get_background_type_pattern" id="get_background_type_custom">
				        <h3><?php _e('Choose Pattern Background','bd') ?></h3>
				        <div class="bd_option_item">
				        <?php $custom_background = array
					          (

									"name" 		=> "Custom Background",
									"id"    	=> "background_pattern",
									"type"  	=> "background_bd"
					          );
					          get_admin_tab($custom_background);
				          ?>
                           <?php
								$checked = 'checked="checked"';
							?>
				          <ol class="box_layout_list pattern select_plugin">
				            <li <?php if($bd_option['bd_setting']['bg_pattern'] == 'default'){ echo 'class="selectd"'; } ?>>
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/admin/assets/images/default.png') repeat center center;"></span></a>
				            <input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 'default'){ echo 'checked="checked"'; } ?> type="radio" value="default" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 1){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/pattern_1.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 1){ echo 'checked="checked"'; } ?> type="radio" value="1" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 2){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/pattern_2.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 2){ echo 'checked="checked"'; } ?> type="radio" value="2" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 3){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/pattern_3.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 3){ echo 'checked="checked"'; } ?> type="radio" value="3" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 4){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/pattern_4.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 4){ echo 'checked="checked"'; } ?> type="radio" value="4" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 5){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/pattern_5.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 5){ echo 'checked="checked"'; } ?> type="radio" value="5" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 6){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/pattern_6.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 6){ echo 'checked="checked"'; } ?> type="radio" value="6" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 7){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/pattern_7.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 7){ echo 'checked="checked"'; } ?> type="radio" value="7" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 8){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/pattern_8.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 8){ echo 'checked="checked"'; } ?> type="radio" value="8" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 9){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/pattern_9.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 9){ echo 'checked="checked"'; } ?> type="radio" value="9" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 10){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/pattern_10.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 10){ echo 'checked="checked"'; } ?> type="radio" value="10" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 11){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/pattern_11.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 11){ echo 'checked="checked"'; } ?> type="radio" value="11" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 12){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/pattern_12.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 12){ echo 'checked="checked"'; } ?> type="radio" value="12" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 13){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/pattern_13.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 13){ echo 'checked="checked"'; } ?> type="radio" value="13" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 14){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/pattern_14.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 14){ echo 'checked="checked"'; } ?> type="radio" value="14" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 15){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/pattern_15.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 15){ echo 'checked="checked"'; } ?> type="radio" value="15" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 16){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/pattern_16.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 16){ echo 'checked="checked"'; } ?> type="radio" value="16" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 17){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/light/1.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 17){ echo 'checked="checked"'; } ?> type="radio" value="17" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 18){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/light/2.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 18){ echo 'checked="checked"'; } ?> type="radio" value="18" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 19){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/light/3.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 19){ echo 'checked="checked"'; } ?> type="radio" value="19" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 20){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/light/4.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 20){ echo 'checked="checked"'; } ?> type="radio" value="20" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 21){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/light/5.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 21){ echo 'checked="checked"'; } ?> type="radio" value="21" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 22){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/light/6.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 22){ echo 'checked="checked"'; } ?> type="radio" value="22" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 23){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/light/7.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 23){ echo 'checked="checked"'; } ?> type="radio" value="23" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 24){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/light/8.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 24){ echo 'checked="checked"'; } ?> type="radio" value="24" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 25){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/light/9.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 25){ echo 'checked="checked"'; } ?> type="radio" value="25" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 26){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/light/10.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 26){ echo 'checked="checked"'; } ?> type="radio" value="26" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 27){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/light/11.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 27){ echo 'checked="checked"'; } ?> type="radio" value="27" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 28){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/light/12.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 28){ echo 'checked="checked"'; } ?> type="radio" value="28" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 29){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/light/13.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 29){ echo 'checked="checked"'; } ?> type="radio" value="29" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 30){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/light/14.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 30){ echo 'checked="checked"'; } ?> type="radio" value="30" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 31){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/light/15.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 31){ echo 'checked="checked"'; } ?> type="radio" value="31" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 32){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/light/16.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 32){ echo 'checked="checked"'; } ?> type="radio" value="32" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 33){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/light/17.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 33){ echo 'checked="checked"'; } ?> type="radio" value="33" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 34){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/light/18.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 34){ echo 'checked="checked"'; } ?> type="radio" value="34" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 35){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/light/19.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 35){ echo 'checked="checked"'; } ?> type="radio" value="35" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 36){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/light/20.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 36){ echo 'checked="checked"'; } ?> type="radio" value="36" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 37){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/dark/d1.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 37){ echo 'checked="checked"'; } ?> type="radio" value="37" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 38){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/dark/d2.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 38){ echo 'checked="checked"'; } ?> type="radio" value="38" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 39){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/dark/d3.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 39){ echo 'checked="checked"'; } ?> type="radio" value="39" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 40){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/dark/d4.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 40){ echo 'checked="checked"'; } ?> type="radio" value="40" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 41){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/dark/d5.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 41){ echo 'checked="checked"'; } ?> type="radio" value="41" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 41){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/dark/d6.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 41){ echo 'checked="checked"'; } ?> type="radio" value="41" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 43){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/dark/d7.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 43){ echo 'checked="checked"'; } ?> type="radio" value="43" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 44){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/dark/d8.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 44){ echo 'checked="checked"'; } ?> type="radio" value="44" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 45){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/dark/d9.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 45){ echo 'checked="checked"'; } ?> type="radio" value="45" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 46){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/dark/d10.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 46){ echo 'checked="checked"'; } ?> type="radio" value="46" />
				            </li>
							<li <?php if($bd_option['bd_setting']['bg_pattern'] == 47){ echo 'class="selectd"'; } ?> >
							<a href="#"><span class="bg_pattern_span" style="background: url('<?php echo get_template_directory_uri(); ?>/images/pattern/dark/d11.png') repeat center center;"></span></a>
							<input name="bd_setting[bg_pattern]" <?php if($bd_option['bd_setting']['bg_pattern'] == 47){ echo 'checked="checked"'; } ?> type="radio" value="47" />
				            </li>
				          </ol>
				        </div>
				        <!--//End item-->
				        </div>

				    </div>
				    <!--//End #tab11-->
					  </div>

				  <div class="bd_footer">
				    <input name="save" class="bd_save" type="submit" value="Save Changes">
				    <script type="text/javascript">
						function is_confirm()
						{
							if(confirm('are you sure ?'))
							{
                                window.location='admin.php?page=options.php&do=reset';
							}
							else
							{
								return false;
							}
						}
				    </script>
				    <input name="reset" class="bd_rest" type="button" onclick="return(is_confirm());" value="Reset Settings">
				  </div>
				</form>
		</div>
		<?php
		}

		function themename_add_init()
		{
			wp_enqueue_script('media-upload');
			wp_enqueue_script('thickbox');
			wp_enqueue_script('my-upload');
			wp_enqueue_style('thickbox');
		}

		add_action('admin_init', 'themename_add_init');
		add_action('admin_menu', 'themename_add_admin');
?>