<?php

	// Do not delete these lines
	if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die ('Please do not load this page directly. Thanks!');

	if ( post_password_required() )
	{ ?>

		<p class="nocomments">
	 		<?php _e('This post is password protected. Enter the password to view comments.','bd');?>
		</p>
		<?php
		return;
	}
	?>

<div class="boox_inner author_box">
  <div class="news_boox">
    <div id="comments">
      <?php if ( have_comments() ) : ?>
      <h3 class="up_comments">
        <h2 class="news_box_title5">
          <span>
          <?php echo get_comments_number(); ?>
          </span>
          <?php _e('Comments', 'bd'); ?>
        </h2>
      </h3>
      <ol class="commentlist">
        <?php wp_list_comments('type=comment&callback=custom_comments'); ?>
      </ol>
      <div class="navigation">
        <div class="alignleft oldercomments">
          <?php previous_comments_link( __( 'Older Comments', 'bd' ) ); ?>
        </div>
        <div class="alignright newercomments">
          <?php next_comments_link( __( 'Newer Comments', 'bd' ) ); ?>
        </div>
      </div>
      <?php else : // this is displayed if there are no comments so far ?>
      <?php endif; ?>
    </div>
  </div>
</div>
<!--//Comments-->

<?php

$commenter = wp_get_current_commenter();
$req = get_option( 'require_name_email' );
$aria_req = ( $req ? " aria-required='true'" : '' );

$fields =  array(
	'author' => '<p class="comment-form-author input-h">' . '<label for="author">' . __( 'Name', 'bd' ) . '</label> ' . ( $req ? '<span class="required">*</span>' : '' ) .
	            '<input id="author" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) . '" size="22"' . $aria_req . ' /></p>',
	'email'  => '<p class="comment-form-email input-h"><label for="email">' . __( 'Email', 'bd' ) . '</label> ' . ( $req ? '<span class="required">*</span>' : '' ) .
	            '<input id="email" name="email" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) . '" size="22"' . $aria_req . ' /></p>',
	'url'    => '<p class="comment-form-url input-h"><label for="url">' . __( 'Website', 'bd' ) . '</label>' .
	            '<input id="url" name="url" type="text" value="' . esc_attr( $commenter['comment_author_url'] ) . '" size="22" /></p>',
);

$required_text = __(' Required fields are marked', 'bd').' <span class="required">*</span>';

?>

<?php comment_form( array(
	'fields' => apply_filters( 'comment_form_default_fields', $fields ),
	'must_log_in' => '<p class="must-log-in">' .  sprintf( __( 'You must be <a href="%s">logged in</a> to post a comment.' , 'bd' ), wp_login_url( apply_filters( 'the_permalink', get_permalink( ) ) ) ) . '</p>',
	'logged_in_as' => '<p class="logged-in-as">' . sprintf( __( 'Logged in as <a href="%1$s">%2$s</a>. <a href="%3$s" title="Log out of this account">Log out?</a>'  , 'bd' ), admin_url( 'profile.php' ), $user_identity, wp_logout_url( apply_filters( 'the_permalink', get_permalink( ) ) ) ) . '</p>',
	'comment_notes_before' => '<div class="comment-notes bottom25">' . __( 'Your email address will not be published.'  , 'bd' ) . ( $req ? $required_text : '' ) . '</div>',
	'title_reply' => __( 'Leave a Reply'  , 'bd' ),
	'title_reply_to' => __( 'Leave a Reply to %s'  , 'bd' ),
	'cancel_reply_link' => __( 'Cancel reply'  , 'bd' ),
	'label_submit' => __( 'Post Comment'  , 'bd' )
)); ?>
