<?php
get_header();
// Loads the rating engine!
$ratings = new user_rating();
?>
<div  class="<?php $sidepos =  get_post_meta($post->ID, 'official_side_layout', true); echo ''.$sidepos;?>">
<div id="container">
	<div class="main<?php if ( is_active_sidebar( 'home-sidebar-small' ) ) : ?> small-sidebar<?php endif; ?>">

		<?php
			$sidetype = get_post_meta($post->ID, 'official_side_layout', true);
		?>
		<?php if($sidetype == 'full_width') { ?>

		<?php } elseif($sidetype == 'default') { ?>

<?php if ( is_active_sidebar( 'home-sidebar-small' ) ) : ?>
<div class="sidebar-small">
<?php dynamic_sidebar( 'home-sidebar-small' ); ?>
</div><!-- Sidebar Small -->
<?php endif; ?>

		<?php } elseif($sidetype == 'sidebar_left') { ?>

<?php if ( is_active_sidebar( 'home-sidebar-small' ) ) : ?>
<div class="sidebar-small">
<?php dynamic_sidebar( 'home-sidebar-small' ); ?>
</div><!-- Sidebar Small -->
<?php endif; ?>

		<?php } elseif($sidetype == 'sidebar_right') { ?>

<?php if ( is_active_sidebar( 'home-sidebar-small' ) ) : ?>
<div class="sidebar-small">
<?php dynamic_sidebar( 'home-sidebar-small' ); ?>
</div><!-- Sidebar Small -->
<?php endif; ?>

		<?php } ?>

		<div class="content">
			<div class="warp">

			<?php if(bdayh_get_option('article_crumbs') == 1) { ?>
				<div class="pp-breadcrumbs bottom10">
					<?php bd_breadcrumbs() ?>
				</div>
				<hr class="bottom15"><!-- end breadcrumbs /-->
			<?php } ?>

			<article id="post-<?php the_ID(); ?>" <?php post_class('post-item'); ?>>
	        <?php if(bdayh_get_option('article_above_ads') == 1){ ?>
		        <div class="article_above_ads tcenter">
			        <?php if(bdayh_get_option('above_ads_code') != '') { ?>
			     	<?php echo stripslashes(bdayh_get_option('above_ads_code')); ?>
			        <?php } else { ?>
			         <a href="<?php echo bdayh_get_option('above_ads_img_url'); ?>" title="<?php echo bdayh_get_option('above_ads_img_altname'); ?>">
			         	<img src="<?php echo bdayh_get_option('above_ads_img'); ?>" alt="<?php echo bdayh_get_option('above_ads_img_altname'); ?>" />
			         </a>
			        <?php }?>
		        </div>
		        <!--//article_above_ads-->
		        <div class="claer bottom25"></div>
	        <?php }?>

			<?php
				$vid_show = get_post_meta($post->ID, 'official_video_show', true);
			?>

			<?php if($vid_show == 'on') { ?>
				<div class="post-thumbnail mAuto bottom25">
			<?php
				$type = get_post_meta($post->ID, 'official_video_type', true);
				$id = get_post_meta($post->ID, 'official_video_url', true);
				$embed = get_post_meta($post->ID, 'official_embed_code', true);
			?>
			<?php if($type == 'youtube') { ?>
				<iframe width="638" height="368" src="http://www.youtube.com/embed/<?php echo $id; ?>?rel=0" frameborder="0" allowfullscreen></iframe>
			<?php } elseif($type == 'vimeo') { ?>
				<iframe src="http://player.vimeo.com/video/<?php echo $id; ?>?title=0&amp;byline=0&amp;portrait=0&amp;color=ba0d16" width="638" height="368" frameborder="0" webkitAllowFullScreen mozallowfullscreen allowFullScreen></iframe>
			<?php } elseif($type == 'daily') { ?>
				<iframe frameborder="0" width="638" height="368" src="http://www.dailymotion.com/embed/video/<?php echo $id ?>?logo=0"></iframe>
			<?php } elseif($type == 'embed') { ?>
				<?php
					$embed_code = $get_meta["official_embed_code"][0];
					$video_code = htmlspecialchars_decode( $embed_code);
				?>
			<?php } ?>
				</div>
				<div class="clear bottom25"></div>
			<?php } ?>

			<?php
				$aud_show = get_post_meta($post->ID, 'official_audio_show', true);
			?>

			<?php if($aud_show == 'on') { ?>

			<?php
				$audiotype = get_post_meta($post->ID, 'official_audio_type', true);
			?>
				<div class="clear"></div>
				<div class="bottom25">
					<?php if($audiotype == 'audiomp3') { ?>
						<?php official_audio() ?>
					<?php } elseif($audiotype == 'audiom4a') { ?>
						<?php official_audio() ?>
					<?php } elseif($audiotype == 'audiooga') { ?>
						<?php official_audio() ?>
					<?php } elseif($audiotype == 'soundcloud') { ?>
						<?php $soundc =  get_post_meta($post->ID, 'official_soundcloud', true); ?>
						<iframe width="100%" height="166" scrolling="no" frameborder="no" src="https://w.soundcloud.com/player/?url=<?php echo ''.$soundc; ?>&amp;auto_play=false&amp;show_artwork=true"></iframe>
					<?php } ?>
				</div>

			<?php } ?>

			<?php
				$ppslider_show = get_post_meta($post->ID, 'official_ppslider_show', true);
			?>
			<?php if($ppslider_show == 'on') { ?>
          <div class="clear"></div>
          <div class="post-thumbnail fLeft mAuto bottom25 single-post-thumb">
		  <div class="post-gall">
			<ul class="post-slideshow" id="post-slideshow-<?php the_ID(); ?>">
				<?php
					global $wpdb, $post;
					$meta = get_post_meta(get_the_ID(), '_bd_image_upload', false);
					if (!is_array($meta)) $meta = (array) $meta;
					if (!empty($meta))
					{
						$meta = implode(',', $meta);
						$size = official_post_width();
						$images = $wpdb->get_col("SELECT ID FROM $wpdb->posts WHERE post_type = 'attachment' AND ID in ($meta) ORDER BY menu_order ASC");
						foreach ($images as $att)
						{
							$src = wp_get_attachment_image_src($att, 'large');
							$src = $src[0];
							$thumb = $src;
							$ntImage = aq_resize( $thumb, 638, 368, true );
							if($ntImage == ''){ $ntImage = BD_IMG .'/default_thumb.png'; }
						?>
<li>
<a href="<?php echo $src; ?>" rel="prettyPhoto[gallery<?php the_ID(); ?>]">
<img src="<?php echo $ntImage; ?>" alt="" />
</a>
</li>
						<?php
						}
					}
				?>
   			</ul>
			</div>
   			<?php official_gallery(get_the_ID(),200); ?>
		</div>
		<div class="clear"></div><!-- Gallery /-->
		<?php } ?>

			<?php
				$thumb_show = get_post_meta($post->ID, 'official_thumb_show', true);
			?>

			<?php if($thumb_show == 'on') { ?>
					<a class="bottom25 tcenter single-post-thumb" href="<?php echo bd_post_image( 'large' ) ?>" rel="prettyPhoto">
					<?php
						$thumb = bd_post_image('large');
						$ntImage = aq_resize( $thumb, 853, 999999, true );
					?>
					<?php if (strpos(bd_post_image(), 'youtube')) { ?>
						<img src="<?php echo bd_post_image('large'); ?>"  alt="<?php the_title(); ?>" title="<?php the_title(); ?>" />
					<?php } elseif (strpos(bd_post_image(), 'vimeo')) { ?>
						<img src="<?php echo bd_post_image('large'); ?>"  alt="<?php the_title(); ?>" title="<?php the_title(); ?>" />
					<?php } elseif (strpos(bd_post_image(), 'dailymotion')) {?>
						<img src="<?php echo bd_post_image('large'); ?>"  alt="<?php the_title(); ?>" title="<?php the_title(); ?>" />
					<?php } else { if($ntImage != '') { ?>
						<img src="<?php echo $ntImage; ?>" alt="<?php the_title(); ?>" title="<?php the_title(); ?>" />
					<?php } } ?>
					</a>
					<div class="bottom25 clear"> </div>
			<?php } ?>


			<header class="entry-header">
			<?php if ( is_single() ) : ?>
			<h1 class="name post-title entry-title" itemprop="name"><?php the_title(); ?></h1>
			<?php else : ?>
			<h1 class="entry-title">
				<a href="<?php the_permalink(); ?>" title="<?php echo esc_attr( sprintf( __( '%s', 'bd' ), the_title_attribute( 'echo=0' ) ) ); ?>" rel="bookmark"><?php the_title(); ?></a>
			</h1>
			<?php endif; ?>
			</header><!-- post title /-->

			<?php if(bdayh_get_option('article_meta_entry') == 1){ ?>
		      <div class="postmeta">

		        <?php if(bdayh_get_option('article_author') == 1) { ?>
		        	<span class="post-meta-author"><?php _e( 'Posted by: ' , 'bd' ); ?> <a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) )?>" title="<?php sprintf( esc_attr__( 'View all posts by %s', 'bd' ), get_the_author() ) ?>"><?php echo get_the_author() ?> </a> </span><!-- Author -->
                <?php } ?>

		      	<?php if(bdayh_get_option('article_date') == 1){ ?>
		        	<span class="post-meta-date"> <?php the_time(get_option('date_format')); ?> </span><!-- Date -->
		        <?php } ?>

          		<?php if(bdayh_get_option('article_category') == 1){ ?>
		        	<span class="post-meta-cat"><?php printf('%1$s', get_the_category_list( ', ' ) ); ?></span><!-- Category -->
		        <?php } ?>


		        <?php if(bdayh_get_option('article_comments') == 1){ ?>
		        	<span class="post-meta-comment"><?php comments_popup_link( __( 'Leave a comment', 'bd' ), __( '1 Comment', 'bd' ), __( '% Comments', 'bd' ) ); ?> </span><!-- Comments -->
                <?php } ?>

				<?php if(bdayh_get_option('article_views') == 1) { ?>
		        	<span class="post-meta-views"><?php echo getPostViews(get_the_ID()); ?> <?php setPostViews(get_the_ID()); ?>  <?php _e( 'views' , 'bd' ) ?></span><!-- Views -->
		        <?php } ?>

		      </div><!-- post meta -->
		    <?php } ?>

				<?php while ( have_posts() ) : the_post(); ?>
				<div class="entry">
					<?php $official_criteria_display = get_post_meta(get_the_ID(), 'official_criteria_display', true); ?>
                    <?php if ($official_criteria_display == 't') { ?>
    					<?php BD_TM ( 'review' ); // Get review Posts template ?>
                    <?php } ?>
                    <div class="clear"></div>
                    <div class="bottom25">
					<?php the_content(); ?>
					</div>
                    <?php if ($official_criteria_display == 'bottom') { ?>
    					<?php BD_TM ( 'review' ); // Get review Posts template ?>
                    <?php } ?>
					<?php wp_link_pages(
						array(
							'before' => '<div class="page-pagination">',
							'after' => '</div>',
							'next_or_number' => 'next_and_number',
							'nextpagelink' => __('next page', 'bd'),
							'previouspagelink' => __('previous page', 'bd'),
							'pagelink' => '<span class="ss">%</span>',
							'echo' => 1
						)
					); ?>

					<div class="claer"></div>
					<?php edit_post_link( __( 'Edit', 'bd' ), '<span class="edit-link">', '</span>' ); ?>
					<span style="display:none" class="updated"><?php the_time( 'Y-m-d' ); ?></span>
					<div style="display:none" class="vcard author" itemprop="author" itemscope itemtype="http://schema.org/Person"><strong class="fn" itemprop="name"><?php the_author_posts_link(); ?></strong></div>
				</div>
              	<!-- single post entry -->

		        <?php if(bdayh_get_option('article_below_ads') == 1){ ?>

			        <div class="article_above_ads tcenter">
			          <?php if(bdayh_get_option('below_ads_code') != '') { ?>
							<?php echo stripslashes(bdayh_get_option('below_ads_code')); ?>
			          <?php } else { ?>
							<a href="<?php echo bdayh_get_option('below_ads_img_url'); ?>" title="<?php echo bdayh_get_option('below_ads_img_altname'); ?>">
								<img src="<?php echo bdayh_get_option('below_ads_img'); ?>" alt="<?php echo bdayh_get_option('below_ads_img_altname'); ?>" />
							</a>
			          <?php }?>
			        </div>
			        <!--//article_below_ads-->
	               	<div class="claer bottom25"></div>
		        <?php } ?>

				<?php if(bdayh_get_option('article_tags') == 1){ ?>
					<div id="post-tags">
					<span class="heading"><?php _e( 'Tags : ' , 'bd' ); ?> </span><?php the_tags( '<span>',' ', '</span>'); ?>
					</div> <!-- tags /-->
				<?php } ?>

				<?php if(bdayh_get_option('article_socail') == 1){ ?>
					<?php BD_TM ( 'single-post-share' ); // Share Button ?>
				<?php } ?>

				<?php if(bdayh_get_option('article_meta_pagination') == 1){ ?>
					<div class="single-post-nav">
				        <div class="bdayh_post_previous">
				          	<?php previous_post_link( '%link', '<span class="meta-nav">' . _e( 'Previous post link', 'bd' ) . '</span> %title' ); ?>
				        </div>

				        <div class="bdayh_post_next">
				            <?php next_post_link( '%link', '%title <span class="meta-nav">' . _e( 'Next post link', 'bd' ) . '</span>' ); ?>
				        </div>
			      	</div><!-- single post nav -->
		      	<?php } ?>

			</article>
			<?php endwhile; ?>

			<?php if(bdayh_get_option('article_author_box') == 1){ ?>
				<div class="bio">
					<?php bd_bio () ?>
				</div> <!-- Authors /-->
			<?php } ?>

			<?php if(bdayh_get_option('article_related') == 1){ ?>
				<?php BD_TM ( 'related' ); // Get Related Posts template ?>
			<?php } ?>

		<?php if (comments_open() && !post_password_required()) { ?>
			<?php comments_template('', true); ?>
		<?php } ?>

		</div>
		</div><!-- content /-->

	</div>
</div><!-- container /-->

<div id="sidebar">
    <?php if  (function_exists('dynamic_sidebar') && dynamic_sidebar('Article Sidebar')){ }else { ?>
        <?php get_sidebar(); ?>
    <?php } ?>
</div><!-- sidebar /-->

<div class="clear"></div>
</div>
<?php get_footer(); ?>