<?php

	if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
	get_header('shop');

?>
<div id="container">
<div class="main">
<div class="pp-breadcrumbs bottom10">
<?php

	woocommerce_breadcrumb(array(
		'delimiter'  => '',
		'wrap_before'  => '<a class="crumbs-home-icon" itemprop="breadcrumb" href="index.php">Home</a>',
		'wrap_after' => '',
		'before'   => '<span class="delimiter"> / </span>',
		'after'   => '',
		'home'    => null
	));
?>
</div>
<hr class="bottom15"><!-- end breadcrumbs /-->

<?php do_action('woocommerce_before_main_content'); ?>
<?php while ( have_posts() ) : the_post(); ?>
<?php woocommerce_get_template_part( 'content', 'single-product' ); ?>
<?php endwhile; ?>
<?php do_action('woocommerce_after_main_content'); ?>

</div><!-- #container //-->
<div id="sidebar">
<?php if  (function_exists('dynamic_sidebar') && dynamic_sidebar('Shop')){ }else { ?>
<?php } ?>
</div><!-- sidebar //-->
</div>

<?php get_footer('shop'); ?>