<article id="post-<?php the_ID(); ?>" <?php post_class('post-item'); ?>>
<header class="entry-header">
<?php if ( is_single() ) : ?>
<h1 class="entry-title"><?php the_title(); ?></h1>
<?php else : ?>
<h1 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php echo esc_attr( sprintf( __( '%s', 'bd' ), the_title_attribute( 'echo=0' ) ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h1>
<?php endif; ?>
</header>
<span class="post-meta-author"><?php _e( 'Posted by: ' , 'bd' ); ?> <a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) )?>" title="<?php sprintf( esc_attr__( 'View all posts by %s', 'bd' ), get_the_author() ) ?>"> <?php echo get_the_author() ?> </a>
<?php
$official_brief_summary = get_post_meta(get_the_ID(), 'official_brief_summary', true);
$official_review_enable =  get_post_meta(get_the_ID(), 'official_review_enable', true);
$official_final_score =  get_post_meta(get_the_ID(), 'official_final_score', true);
$official_final_percentage = $official_final_score * 20 + 2 ;
?>
<?php if ($official_review_enable == 1) { ?>
<span title="<?php echo $official_brief_summary;?>" class="official-module-a-stars-under leading-article fRight"><span class="official-module-a-stars-over leading-article" style="width:<?php echo $official_final_percentage; ?>%"></span></span>
<?php } ?><!-- Reviews //-->
</span>
<div class="postmeta">
<span class="post-meta-date"> <?php bdayh_get_time() ?> </span>
<span class="post-meta-cat"><?php _e( 'in ' , 'bd' ); ?> <?php printf('%1$s', get_the_category_list( ', ' ) ); ?></span>
<span class="post-meta-comment"><?php comments_popup_link( __( 'Leave a comment', 'bd' ), __( '1 Comment', 'bd' ), __( '% Comments', 'bd' ) ); ?></span>
</div>
<div class="clear"></div>

<?php

	$bd_home_type = bdayh_get_option('home_blog_display');
	if(!in_array($bd_home_type,array('excerptt','contentt')))
	{
       $bd_home_type = 'excerptt';
	}
?>
<?php if($bd_home_type == 'excerptt') { ?>
<div class="post-thumbnail mAuto bottom25">
<?php
$type = get_post_meta($post->ID, 'official_video_type', true);
$id = get_post_meta($post->ID, 'official_video_url', true);
$embed = get_post_meta($post->ID, 'official_embed_code', true);
?>
<?php if($type == 'youtube') { ?>
<iframe width="638" height="368" src="http://www.youtube.com/embed/<?php echo $id; ?>?rel=0" frameborder="0" allowfullscreen></iframe>
<?php } elseif($type == 'vimeo') { ?>
<iframe src="http://player.vimeo.com/video/<?php echo $id; ?>?title=0&amp;byline=0&amp;portrait=0&amp;color=ba0d16" width="638" height="368" frameborder="0" webkitAllowFullScreen mozallowfullscreen allowFullScreen></iframe>
<?php } elseif($type == 'daily') { ?>
<iframe frameborder="0" width="638" height="368" src="http://www.dailymotion.com/embed/video/<?php echo $id ?>?logo=0"></iframe>
<?php } elseif($type == 'embed') { ?>
<?php
$embed_code = $get_meta["official_embed_code"][0];
$video_code = htmlspecialchars_decode( $embed_code);
?>
<?php } ?>
</div><!-- video //-->
<div class="clear"></div>
<div class="entry-excerpt">
<?php bd_excerpt() ?>
<div class="more-post"><a class="more-link"  href="<?php the_permalink() ?>"><?php _e( 'Read More &raquo;', 'bd' ) ?></a></div>
</div>
<?php } elseif ($bd_home_type == 'contentt') { ?>
<div class="post-thumbnail mAuto bottom25">
<?php
$type = get_post_meta($post->ID, 'official_video_type', true);
$id = get_post_meta($post->ID, 'official_video_url', true);
$embed = get_post_meta($post->ID, 'official_embed_code', true);
?>
<?php if($type == 'youtube') { ?>
<iframe width="638" height="368" src="http://www.youtube.com/embed/<?php echo $id; ?>?rel=0" frameborder="0" allowfullscreen></iframe>
<?php } elseif($type == 'vimeo') { ?>
<iframe src="http://player.vimeo.com/video/<?php echo $id; ?>?title=0&amp;byline=0&amp;portrait=0&amp;color=ba0d16" width="638" height="368" frameborder="0" webkitAllowFullScreen mozallowfullscreen allowFullScreen></iframe>
<?php } elseif($type == 'daily') { ?>
<iframe frameborder="0" width="638" height="368" src="http://www.dailymotion.com/embed/video/<?php echo $id ?>?logo=0"></iframe>
<?php } elseif($type == 'embed') { ?>
<?php
$embed_code = $get_meta["official_embed_code"][0];
$video_code = htmlspecialchars_decode( $embed_code);
?>
<?php } ?>
</div><!-- video //-->
<div class="clear"></div>
<div class="entry">
<?php the_content(); ?>
</div>
<?php } ?>

</article><!-- #post -->
<?php if(bdayh_get_option('show_archives_socail') == 1){ ?>
<div class="home_social">
<?php BD_TM ( 'single-post-share' ); // Share Button ?>
</div>
<?php } ?>
