<?php
/*
Template Name: Full Width
*/
?>
<?php get_header(); ?>
<div  class="<?php $sidepos =  get_post_meta($post->ID, 'official_side_layout', true); echo ''.$sidepos;?>">
<div id="container">
	<div class="main">
		<div class="content">
			<div class="warp">

			<?php if(bdayh_get_option('article_crumbs') == 1) { ?>
				<div class="pp-breadcrumbs bottom10">
					<?php bd_breadcrumbs() ?>
				</div><!--//end breadcrumbs-->
				<hr class="bottom15">
			<?php } ?>


			<article id="post-<?php the_ID(); ?>" <?php post_class('post-item'); ?>>

	        <?php if(bdayh_get_option('article_above_ads') == 1){ ?>
		        <div class="article_above_ads tcenter">
			        <?php if(bdayh_get_option('above_ads_code') != '') { ?>
			     	<?php echo stripslashes(bdayh_get_option('above_ads_code')); ?>
			        <?php } else { ?>
			         <a href="<?php echo bdayh_get_option('above_ads_img_url'); ?>" title="<?php echo bdayh_get_option('above_ads_img_altname'); ?>">
			         	<img src="<?php echo bdayh_get_option('above_ads_img'); ?>" alt="<?php echo bdayh_get_option('above_ads_img_altname'); ?>" />
			         </a>
			        <?php }?>
		        </div>
		        <!--//article_above_ads-->
		        <div class="clear bottom25"></div>
	        <?php }?>


			<header class="entry-header">
			<h1 class="entry-title"><?php the_title(); ?></h1>
			</header><!-- post title /-->

				<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
				<div class="entry">

				<?php the_content(); ?>
					<?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'bd' ), 'after' => '</div>' ) ); ?>

					<div class="clear"></div>
					<?php edit_post_link( __( 'Edit', 'bd' ), '<span class="edit-link">', '</span>' ); ?>
				</div>
              	<!-- single post entry -->

		        <?php if(bdayh_get_option('article_below_ads') == 1){ ?>

			        <div class="article_above_ads tcenter">
			          <?php if(bdayh_get_option('below_ads_code') != '') { ?>
							<?php echo stripslashes(bdayh_get_option('below_ads_code')); ?>
			          <?php } else { ?>
							<a href="<?php echo bdayh_get_option('below_ads_img_url'); ?>" title="<?php echo bdayh_get_option('below_ads_img_altname'); ?>">
								<img src="<?php echo bdayh_get_option('below_ads_img'); ?>" alt="<?php echo bdayh_get_option('below_ads_img_altname'); ?>" />
							</a>
			          <?php }?>
			        </div>
			        <!--//article_below_ads-->
	               	<div class="clear bottom25"></div>
		        <?php }?>

			</article>
			<?php endwhile; ?>



		<?php if (comments_open() && !post_password_required()) { ?>
			<?php comments_template('', true); ?>
		<?php } ?>

		</div>
		</div>
		<!-- content -->
	</div>
</div><!-- container -->

<div class="clear"></div>
</div>
<?php get_footer(); ?>