<?php get_header(); ?>
<div id="container">
<div class="main<?php if ( is_active_sidebar( 'home-sidebar-small' ) ) : ?> small-sidebar<?php endif; ?>">
<?php if ( is_active_sidebar( 'home-sidebar-small' ) ) : ?>
<div class="sidebar-small">
<?php dynamic_sidebar( 'home-sidebar-small' ); ?>
</div><!-- Sidebar Small -->
<?php endif; ?>
<div class="content">
<div class="warp">
<?php if ( have_posts() ) : ?>
<?php /* Start the Loop */ ?>
<?php while ( have_posts() ) : the_post(); ?>
<?php if(bdayh_get_option('home_page_displays') == 'blogformats') { ?>
<?php
$format = get_post_format();
if( false === $format ) { $format = 'standard'; }
?>
<?php get_template_part( 'content', $format ); ?>
<?php } elseif (bdayh_get_option('home_page_displays') == 'blognormal') { ?>
<?php
//rewind_posts();
get_template_part( 'loop', 'index' );	?>
<?php } elseif (bdayh_get_option('home_page_displays') == 'blogsmall') { ?>
<?php
//rewind_posts();
get_template_part( 'loop2', 'index' );	?>
<?php } ?>
<?php endwhile; ?>
<?php if ($wp_query->max_num_pages > 1) bd_pagenavi(); ?>
<?php else : ?>
<article id="post-0" class="post no-results not-found">
<?php if ( current_user_can( 'edit_posts' ) ) :
// Show a different message to a logged-in user who can add posts.
?>
<header class="entry-header">
<h1 class="entry-title"><?php _e( 'No posts to display', 'bd' ); ?></h1>
</header>
<div class="entry-content">
<p><?php printf( __( 'Ready to publish your first post? <a href="%s">Get started here</a>.', 'bd' ), admin_url( 'post-new.php' ) ); ?></p>
</div><!-- .entry-content -->
<?php else :
// Show the default message to everyone else.
?>
<header class="entry-header">
<h1 class="entry-title"><?php _e( 'Nothing Found', 'bd' ); ?></h1>
</header>
<div class="entry-content">
<p><?php _e( 'Apologies, but no results were found. Perhaps searching will help find a related post.', 'bd' ); ?></p>
<?php get_search_form(); ?>
</div><!-- .entry-content -->
<?php endif; ?>
</article><!-- #post-0 -->
<?php endif; ?>
</div>
</div><!-- content -->
</div>
</div><!-- container -->
<div id="sidebar">
<?php get_sidebar(); ?>
</div><!-- sidebar -->
<?php get_footer(); ?>