<?php if ( ! have_posts() ) : ?>

				<h3 class="title"><?php _e( 'Not Found', 'bd' ); ?></h3>
				<div class="inner-box2 bottom25">
					<p><?php _e( 'Apologies, but no results were found for the requested archive. Perhaps searching will help find a related post.', 'bd' ); ?></p>
					<div class="bottom15 clear"></div>
					<?php get_search_form(); ?>
				</div>
				<div class="clear bottom25"></div>

<?php else : ?>

			<?php while ( have_posts() ) : the_post(); ?>

				<header class="entry-header">
				<?php if ( is_single() ) : ?>
				<h1 class="entry-title"><?php the_title(); ?></h1>
				<?php else : ?>
				<h1 class="entry-title ">
				<a href="<?php the_permalink(); ?>" title="<?php echo esc_attr( sprintf( __( '%s', 'bd' ), the_title_attribute( 'echo=0' ) ) ); ?>" rel="bookmark"><?php the_title(); ?></a>
				</h1>
				<?php endif; ?>
				</header><!-- post title /-->

				<div class="postmeta bottom25">
					<?php if(bdayh_get_option('article_author') == 1) { ?>
						<span class="post-meta-author"><?php _e( 'Posted by: ' , 'bd' ); ?> <a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) )?>" title="<?php sprintf( esc_attr__( 'View all posts by %s', 'bd' ), get_the_author() ) ?>"><?php echo get_the_author() ?> </a> </span><!-- Author -->
					<?php } ?>

					<?php if(bdayh_get_option('article_date') == 1){ ?>
						<span class="post-meta-date"> <?php the_time(get_option('date_format')); ?> </span><!-- Date -->
					<?php } ?>

					<?php if(bdayh_get_option('article_comments') == 1){ ?>
						<span class="post-meta-comment"><?php comments_popup_link( __( 'Leave a comment', 'bd' ), __( '1 Comment', 'bd' ), __( '% Comments', 'bd' ) ); ?> </span><!-- Comments -->
					<?php } ?>

					<?php if(bdayh_get_option('article_views') == 1) { ?>
						<span class="post-meta-views"><?php echo getPostViews(get_the_ID(),'200'); ?> <?php setPostViews(get_the_ID(),'200'); ?> <?php _e( 'views' , 'bd' ) ?></span><!-- Views -->
					<?php } ?>

				</div><!-- post meta -->

				<div class="inner-box2 bottom25">
					<div class="fLeft right15">
					<a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( '%s', 'bd' ), the_title_attribute( 'echo=0' ) ); ?>">

						<?php
							$thumb = bd_post_image('large');
							$ntImage = aq_resize( $thumb, 300, 160, true );
							if($ntImage == '') { $ntImage = BD_IMG .'/default_thumb.png'; }
						?>

						<?php if (strpos(bd_post_image(), 'youtube')) { ?>
							<img src="<?php echo bd_post_image('large'); ?>" width="300" height="160"  alt="<?php the_title(); ?>" title="<?php the_title(); ?>" />
						<?php } elseif (strpos(bd_post_image(), 'vimeo')) { ?>
							<img src="<?php echo bd_post_image('large'); ?>" width="300" height="160" alt="<?php the_title(); ?>" title="<?php the_title(); ?>" />
						<?php } elseif (strpos(bd_post_image(), 'dailymotion')) {?>
							<img src="<?php echo bd_post_image('large'); ?>" width="300" height="160" alt="<?php the_title(); ?>" title="<?php the_title(); ?>" />
						<?php } else { ?>
							<img src="<?php echo $ntImage; ?>" width="300" height="160" alt="<?php the_title(); ?>" title="<?php the_title(); ?>" />
						<?php } ?>
					</a>
					</div>

					<div class="bottom15">
					<?php bd_excerpt() ?>
					</div>

					<a class="more-link"  href="<?php the_permalink() ?>"><?php _e( 'Read More &raquo;', 'bd' ) ?></a>

				</div>
			<?php endwhile;?>

<?php endif; ?>