<div class="single-post-related bottom10">
	<section id="related-posts">
    	<h3 class="title bottom15"><?php _e('Related posts', 'bd'); ?></h3>

		<div class="related-<?php echo bdayh_get_option('related_style'); ?>">
	      <?php if (bdayh_get_option('related_type') == 'tags' ) { ?>
		      <?php
				  global $post;
				  $tags = wp_get_post_tags($post->ID);
				  if ($tags) :
				  $tag_ids = array();
				  foreach($tags as $individual_tag){ $tag_ids[] = $individual_tag->term_id;}

				  $args=array(
				  	'tag__in' => $tag_ids,
				  	'post__not_in' => array($post->ID),
				  	'showposts'=> bdayh_get_option('article_related_numb'),
				  	'ignore_sticky_posts'=>1
				  );
				  query_posts($args);
		  		?>

		      <?php while ( have_posts() ) : the_post(); ?>
		      <?php if(bdayh_get_option('related_style') == 'images') { ?>
			      <div class="related-item">

			        <?php if(bd_post_image() == false) {} else { ?>
			          <a href="<?php the_permalink(); ?>" class="tip thumb" rel="bookmark">
				          <?php
							$thumb = bd_post_image('large');
							$ntImage = aq_resize( $thumb, 300, 160, true );
							if($ntImage == ''){ $ntImage = BD_IMG .'/default_thumb.png'; } ?>

					          <?php if (strpos(bd_post_image(), 'youtube')) { ?>
					          	<img src="<?php echo bd_post_image('large'); ?>"  alt="<?php the_title(); ?>" title="<?php the_title(); ?>" />
					          <?php } elseif (strpos(bd_post_image(), 'vimeo')) { ?>
					          	<img src="<?php echo bd_post_image('large'); ?>"  alt="<?php the_title(); ?>" title="<?php the_title(); ?>" />
					          <?php } elseif (strpos(bd_post_image(), 'dailymotion')) {?>
					          	<img src="<?php echo bd_post_image('large'); ?>"  alt="<?php the_title(); ?>" title="<?php the_title(); ?>" />
					          <?php } else { ?>
					          	<img src="<?php echo $ntImage; ?>" alt="<?php the_title(); ?>" title="<?php the_title(); ?>" />
					          <?php } ?>
			          </a>
			        <?php } ?>

			          <a href="<?php the_permalink();?>" title="<?php the_title(); ?>" rel="bookmark" class="related-item-title"><?php the_title(); ?></a>

			      </div>

		      <?php } else { ?>
			      <div class="related-item">
			      	<a href="<?php the_permalink();?>" title="<?php the_title(); ?>" rel="bookmark" class="related-item-title"><?php the_title(); ?></a>
			      </div>
		      <?php } ?>
		      <?php endwhile; ?>
		      <?php  else:  ?>
		      	<p><?php echo __('There is no related posts.', 'bd'); ?></p>
		      <?php endif; ?>
		      <?php wp_reset_query(); ?>

	      <?php } else { ?>
		      <?php

				global $post;
				$cats = get_the_category($post->ID);
				if ($cats) :
					$cat_ids = array();
					foreach($cats as $individual_cat){ $cat_ids[] = $individual_cat->cat_ID;}

					$args=array(
						'category__in' => $cat_ids,
						'post__not_in' => array($post->ID),
						'showposts'=>bdayh_get_option('article_related_numb'),
						'ignore_sticky_posts'=>1
					);
					query_posts($args);
				?>

		      <?php while ( have_posts() ) : the_post(); ?>
		      <?php if(bdayh_get_option('related_style') == 'images') { ?>
			      <div class="related-item">

			        <?php if(bd_post_image() == false) {} else { ?>
			          <a href="<?php the_permalink();?>" class="tip thumb" rel="bookmark">
				          <?php
							$thumb = bd_post_image('large');
							$ntImage = aq_resize( $thumb, 300, 160, true );
							if($ntImage == ''){ $ntImage = BD_IMG .'/default_thumb.png'; } ?>

					          <?php if (strpos(bd_post_image(), 'youtube')) { ?>
					          	<img src="<?php echo bd_post_image('large'); ?>" width="300" height="160" alt="<?php the_title(); ?>" title="<?php the_title(); ?>" />
					          <?php } elseif (strpos(bd_post_image(), 'vimeo')) { ?>
					          	<img src="<?php echo bd_post_image('large'); ?>" width="300" height="160" alt="<?php the_title(); ?>" title="<?php the_title(); ?>" />
					          <?php } elseif (strpos(bd_post_image(), 'dailymotion')) {?>
					          	<img src="<?php echo bd_post_image('large'); ?>" width="300" height="160" alt="<?php the_title(); ?>" title="<?php the_title(); ?>" />
					          <?php } else { ?>
					          	<img src="<?php echo $ntImage; ?>" width="300" height="160" alt="<?php the_title(); ?>" title="<?php the_title(); ?>" />
					          <?php } ?>
			          </a>
			        <?php } ?>

			          <a href="<?php the_permalink();?>" title="<?php the_title(); ?>" rel="bookmark" class="related-item-title"><?php the_title(); ?></a>

			      </div>
		      <?php } else { ?>
			      <div class="related-item">
			      	<a href="<?php the_permalink();?>" title="<?php the_title(); ?>" rel="bookmark" class="related-item-title"><?php the_title(); ?></a>
			      </div>
		      <?php } ?>
		      <?php endwhile; ?>
		      <?php  else:  ?>
		      	<p><?php echo __('There is no related posts.', 'bd'); ?></p>
		      <?php endif; ?>
		      <?php wp_reset_query(); ?>
	      <?php } ?>
		</div>

	</section>
</div>
<!-- single post related -->